package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.MajorStatisticalSelectDTO;
import com.dayou.vo.MajorLedgerVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MajorStatisticalStatementMapper {

    /**
     * 查询大中型台账
     * @param page 分页
     * @param dto 查询条件
     * @return List<MajorLedgerVO>
     */
    Page<MajorLedgerVO> getMajorLedgerVO(@Param("page") Page page, @Param("dto")MajorStatisticalSelectDTO dto);

    /**
     * 导出大中型台账
     * @param dto 查询条件
     * @return Page<MajorLedgerVO>
     */
    List<MajorLedgerVO> exportMajorLedgerVO(@Param("dto")MajorStatisticalSelectDTO dto);

}
