package com.dayou.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class MajorStatisticalSelectDTO {

    /**
     * 客户经理id(user_id)
     */
    private Long clientManagerId;

    /**
     * 项目负责人id(user_id)
     */
    private Long principalId;

    /**
     * 项目参与人id(user_id)
     */
    private Long memberId;

    /**
     * 接单部门id
     */
    private Long departmentId;

    /**
     * 市场部门id
     */
    private Long marketDepartmentId;

    /**
     * 关键字信息
     */
    private String keyWord;

    /**
     * 业务节点实例code
     */
    private String nodeCode;

    /**
     * 筛选开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    /**
     * 筛选结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

}
