package com.dayou.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.MajorStatisticalSelectDTO;
import com.dayou.vo.MajorLedgerVO;

import java.util.List;

public interface IMajorStatisticalStatementService {

    /**
     * 查询大中型台账
     * @param page 分页
     * @param dto 查询条件
     * @return Page<MajorLedgerVO>
     */
    Page<MajorLedgerVO> getMajorLedgerVO(Page page, MajorStatisticalSelectDTO dto);

    /**
     * 导出大中型台账
     * @param dto 查询条件
     * @return List<MajorLedgerVO>
     */
    List<MajorLedgerVO> exportMajorLedgerVO(MajorStatisticalSelectDTO dto);

}
